// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : EOLDR
 *-----------------------------------------------------------------------------
 *
 * @Description              : EOLDR的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
type EOLDR struct {
	NAME             string        `xorm:"nvarchar(255) 'NAME'" json:"EOLDR-NAME"`
	CODE             string        `xorm:"nvarchar(255) 'CODE'" json:"EOLDR-CODE"`
	TESTDATA         grmi.DateTime `xorm:"datetime 'TESTDATA'" json:"EOLDR-TESTDATA"`
	SAB              string        `xorm:"nvarchar(255) 'SAB'" json:"EOLDR-SAB"`
	SABRESULT        string        `xorm:"nvarchar(255) 'SABRESULT'" json:"EOLDR-SABRESULT"`
	SBRNOLOAD        string        `xorm:"nvarchar(255) 'SBRNOLOAD'" json:"EOLDR-SBRNOLOAD"`
	SBRLOAD          string        `xorm:"nvarchar(255) 'SBRLOAD'" json:"EOLDR-SBRLOAD"`
	SBRRESULT        string        `xorm:"nvarchar(255) 'SBRRESULT'" json:"EOLDR-SBRRESULT"`
	BUCKLERESULT     string        `xorm:"nvarchar(255) 'BUCKLERESULT'" json:"EOLDR-BUCKLERESULT"`
	VENT             string        `xorm:"nvarchar(255) 'VENT'" json:"EOLDR-VENT"`
	VENTNOISE        string        `xorm:"nvarchar(255) 'VENTNOISE'" json:"EOLDR-VENTNOISE"`
	VENTRESULT       string        `xorm:"nvarchar(255) 'VENTRESULT'" json:"EOLDR-VENTRESULT"`
	HEATER           string        `xorm:"nvarchar(255) 'HEATER'" json:"EOLDR-HEATER"`
	HEATERRESULT     string        `xorm:"nvarchar(255) 'HEATERRESULT'" json:"EOLDR-HEATERRESULT"`
	LAMBARFORWARD    string        `xorm:"nvarchar(255) 'LAMBARFORWARD'" json:"EOLDR-LAMBARFORWARD"`
	LAMBARBACKWARD   string        `xorm:"nvarchar(255) 'LAMBARBACKWARD'" json:"EOLDR-LAMBARBACKWARD"`
	LAMBARNOISE      string        `xorm:"nvarchar(255) 'LAMBARNOISE'" json:"EOLDR-LAMBARNOISE"`
	LAMBARRESULT     string        `xorm:"nvarchar(255) 'LAMBARRESULT'" json:"EOLDR-LAMBARRESULT"`
	TRACKFORWARD     string        `xorm:"nvarchar(255) 'TRACKFORWARD'" json:"EOLDR-TRACKFORWARD"`
	TRACKBACKWARD    string        `xorm:"nvarchar(255) 'TRACKBACKWARD'" json:"EOLDR-TRACKBACKWARD"`
	TRACKNOISE       string        `xorm:"nvarchar(255) 'TRACKNOISE'" json:"EOLDR-TRACKNOISE"`
	TRACKRESULT      string        `xorm:"nvarchar(255) 'TRACKRESULT'" json:"EOLDR-TRACKRESULT"`
	RECLINEFORWARD   string        `xorm:"nvarchar(255) 'RECLINEFORWARD'" json:"EOLDR-RECLINEFORWARD"`
	RECLINEBACKWARD  string        `xorm:"nvarchar(255) 'RECLINEBACKWARD'" json:"EOLDR-RECLINEBACKWARD"`
	RECLINENOISE     string        `xorm:"nvarchar(255) 'RECLINENOISE'" json:"EOLDR-RECLINENOISE"`
	RECLINERESULT    string        `xorm:"nvarchar(255) 'RECLINERESULT'" json:"EOLDR-RECLINERESULT"`
	TILTDOWN         string        `xorm:"nvarchar(255) 'TILTDOWN'" json:"EOLDR-TILTDOWN"`
	TILTUP           string        `xorm:"nvarchar(255) 'TILTUP'" json:"EOLDR-TILTUP"`
	TILTNOISE        string        `xorm:"nvarchar(255) 'TILTNOISE'" json:"EOLDR-TILTNOISE"`
	TILTRESULT       string        `xorm:"nvarchar(255) 'TILTRESULT'" json:"EOLDR-TILTRESULT"`
	HEIGHTDOWN       string        `xorm:"nvarchar(255) 'HEIGHTDOWN'" json:"EOLDR-HEIGHTDOWN"`
	HEIGHTUP         string        `xorm:"nvarchar(255) 'HEIGHTUP'" json:"EOLDR-HEIGHTUP"`
	HEIGHTNOISE      string        `xorm:"nvarchar(255) 'HEIGHTNOISE'" json:"EOLDR-HEIGHTNOISE"`
	HEIGHTRESULT     string        `xorm:"nvarchar(255) 'HEIGHTRESULT'" json:"EOLDR-HEIGHTRESULT"`
	FOOTLAMP         string        `xorm:"nvarchar(255) 'FOOTLAMP'" json:"EOLDR-FOOTLAMP"`
	FOOTLAMPRESULT   string        `xorm:"nvarchar(255) 'FOOTLAMPRESULT'" json:"EOLDR-FOOTLAMPRESULT"`
	INITIALIZERESULT string        `xorm:"nvarchar(255) 'INITIALIZERESULT'" json:"EOLDR-INITIALIZERESULT"`
	DTCRESULT        string        `xorm:"nvarchar(255) 'DTCRESULT'" json:"EOLDR-DTCRESULT"`
	TOTALRESULT      string        `xorm:"nvarchar(255) 'TOTALRESULT'" json:"EOLDR-TOTALRESULT"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
func (self *EOLDR) GetKey() core.PK {
	return core.PK{}
}
